[arch-commits] Commit in (4 files)

Aaron Griffin aaron at archlinux.org
Fri Jan 9 06:37:36 UTC 2009


    Date: Friday, January 9, 2009 @ 01:37:36
  Author: aaron
Revision: 23394

Add libfetch to the repos with the intended purpose
of replacing libdownload in core

Added:
  libfetch/
  libfetch/trunk/
  libfetch/trunk/Makefile
  libfetch/trunk/PKGBUILD

----------+
 Makefile |   88 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 PKGBUILD |   36 ++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

Added: libfetch/trunk/Makefile
===================================================================
--- libfetch/trunk/Makefile	                        (rev 0)
+++ libfetch/trunk/Makefile	2009-01-09 06:37:36 UTC (rev 23394)
@@ -0,0 +1,88 @@
+prefix = /usr
+DESTDIR =
+DEBUG = false
+FETCH_WITH_INET6 = true
+FETCH_WITH_OPENSSL = true
+
+WARNINGS = -Wall -Wstrict-prototypes -Wsign-compare -Wchar-subscripts \
+           -Wpointer-arith -Wcast-align -Wsign-compare
+CFLAGS   = -O2 -pipe -I. -fPIC $(WARNINGS) \
+		   -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES
+
+CFLAGS	+= -DFTP_COMBINE_CWDS -DNETBSD
+
+ifeq ($(strip $(FETCH_WITH_INET6)), true)
+CFLAGS+=	-DINET6
+endif
+
+ifeq ($(strip $(FETCH_WITH_OPENSSL)), true)
+CFLAGS+=	-DWITH_SSL
+LDFLAGS=	-lssl -lcrypto
+endif
+
+ifeq ($(strip $(DEBUG)), true)
+CFLAGS += -g -DDEBUG
+else
+CFLAGS += -UDEBUG
+endif
+
+CC = gcc
+LD = gcc
+AR = ar
+RANLIB = ranlib
+INSTALL = install -c -D
+
+OBJS= fetch.o common.o ftp.o http.o file.o
+INCS= fetch.h common.h
+GEN = ftperr.h httperr.h
+MAN = libdownload.3
+
+#pretty print!
+E = @/bin/echo
+Q = @
+
+all: libfetch.so libfetch.a
+	$(E) "  built with:  " $(CFLAGS)
+.PHONY: all
+
+%.o: %.c $(INCS) $(GEN)
+	$(E) "  compile   " $@
+	$(Q) $(CC) $(CFLAGS) -c $<
+
+ftperr.h: ftp.errors
+	$(E) "  generate  " $@
+	$(Q) ./errlist.sh ftp_errlist FTP ftp.errors > $@
+
+httperr.h: http.errors
+	$(E) "  generate  " $@
+	$(Q) ./errlist.sh http_errlist HTTP http.errors > $@
+
+libfetch.so: $(GEN) $(INCS) $(OBJS)
+	$(E) "  build     " $@
+	$(Q) rm -f $@
+	$(Q) $(LD) $(LDFLAGS) *.o -shared -o $@
+
+libfetch.a: $(GEN) $(INCS) $(OBJS)
+	$(E) "  build     " $@
+	$(Q) rm -f $@
+	$(Q) $(AR) rcs $@ *.o
+	$(Q) $(RANLIB) $@
+
+clean:
+	$(E) "  clean     "
+	$(Q) rm -f libfetch.so libfetch.a *.o $(GEN)
+.PHONY: clean
+
+install: all
+	$(Q) $(INSTALL) -m 755 libfetch.so $(DESTDIR)$(prefix)/lib/libfetch.so
+	$(Q) $(INSTALL) -m 644 libfetch.a $(DESTDIR)$(prefix)/lib/libfetch.a
+	$(Q) $(INSTALL) -m 644 fetch.h $(DESTDIR)$(prefix)/include/fetch.h
+	$(Q) $(INSTALL) -m 644 fetch.3 $(DESTDIR)$(prefix)/share/man/man3/fetch.3
+.PHONY: install
+
+uninstall:
+	$(Q) rm -f $(DESTDIR)$(prefix)/lib/libfetch.so
+	$(Q) rm -f $(DESTDIR)$(prefix)/lib/libfetch.a
+	$(Q) rm -f $(DESTDIR)$(prefix)/include/fetch.h
+	$(Q) rm -f $(DESTDIR)$(prefix)/share/man/man3/fetch.3
+.PHONY: uninstall

Added: libfetch/trunk/PKGBUILD
===================================================================
--- libfetch/trunk/PKGBUILD	                        (rev 0)
+++ libfetch/trunk/PKGBUILD	2009-01-09 06:37:36 UTC (rev 23394)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Contributor: Xavier Chantry <shiningxc at gmail.com>
+
+pkgname=libfetch
+pkgver=2.20
+pkgrel=1
+pkgdesc="URL based download library"
+arch=('i686' 'x86_64')
+license=('BSD')
+groups=('base')
+depends=('openssl')
+url="http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/net/fetch/"
+source=(Makefile http://ftp.archlinux.org/other/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('7b1b639fb829bd837cda935171ac264d'
+         '085d4f5c9b83a3b5416e2c54e3c8f9cb')
+         
+# source PKGBUILD && mksource
+mksource() {
+	export CVSROOT=:pserver:anoncvs at anoncvs.NetBSD.org:/cvsroot
+    D=pkgsrc/net/libfetch
+	[ -d "$D" ] && cvs up "$D" || cvs co "$D"
+	pushd "$D"
+	dirname=$(cvs log 2>/dev/null | /bin/grep "^libfetch-.*:$" | head -n1 | sed 's/://')
+	cp -r files $dirname
+	tar -cv --exclude=CVS -f ../../../$dirname.tar.gz $dirname
+	rm -r $dirname
+    popd
+}
+
+build() {
+  cd $srcdir/${pkgname}-${pkgver}
+  cp ../Makefile .
+  make || return 1
+  make DESTDIR=$pkgdir install
+}




More information about the arch-commits mailing list